Skip to main content
GET
Get a current-user notification

Path Parameters

id
string
required

The notification ID.

Response

OK

Describes notification data used in Leadping API requests and responses.

type
enum<string>

The type classification for this notification.

Available options:
General,
Lead,
Call,
Sms,
Billing,
System,
Success,
Warning,
Error,
Info,
Announcement,
Activation
priority
enum<string>

Priority for this notification.

Available options:
Low,
Medium,
High,
Critical
userId
string

The user ID associated with this notification.

message
string

Message for this notification.

details
null | string

Optional supporting details displayed beneath the notification message.

readAt
null | string<date-time>

UTC timestamp for read at on this notification.

isRead
boolean

Whether this notification is read.

pushEnabled
boolean

Whether this notification should also be delivered as a device push notification.

actionUrl
null | string

The URL associated with this notification.

actionButtonText
null | string

Action button text for this notification.

The related entity ID associated with this notification.

The related entity type classification for this notification.

name
string

The display name for the entity.

id
string

The unique identifier for the entity.

createdAt
string<date-time>

The date and time when the entity was created.

modifiedAt
null | string<date-time>

The date and time when the entity was last modified, if applicable.

Last modified on August 11, 2026